import { NsButton, NsTypography } from '../..';

type AutoCompleteButtonProps = {
    text: string;
    show: boolean;
    onClick(): void;
    testId?: string;
};

export const AutoCompleteButton = (props: AutoCompleteButtonProps) => {
    const { show, onClick, text, testId } = props;
    if (!show) {
        return null;
    }
    return (
        <li className="text-right p-3">
            <NsButton onClick={onClick} data-testid={testId}>
                <NsTypography variant="p-xs" weight="bold">
                    {text}
                </NsTypography>
            </NsButton>
        </li>
    );
};
