import { AutocompleteRenderGroupParams } from '@mui/material';

import { NsTypography, OptionsProps } from '../..';

export const renderGroupName = ({ key, group, children }: AutocompleteRenderGroupParams) => (
    <li key={key}>
        {group ? (
            <NsTypography variant="p-m" weight="bold" className="p-3">
                {group}
            </NsTypography>
        ) : null}
        <ul className="p-0">{children}</ul>
    </li>
);

export const renderOptionLabel = (option: string | OptionsProps) =>
    typeof option === 'string' ? option : option?.value ?? '';

export const renderGroupBy = (option: OptionsProps) => (option?.group ?? '') as string;
