import React from 'react';
import { render, screen } from '@testing-library/react';
import NsPost from '../NsPost';

describe('NsPost component', () => {
    const props = {
        text: 'Sample Text',
        body: 'Sample Body',
        backgroundImageUrl: 'https://example.com/image.jpg',
        backgroundImageAlt: 'Sample Alt Text',
        additionalProps: {
            testid: 'sample-post',
        },
    };

    it('1. renders with correct content and styles', () => {
        render(<NsPost {...props} />);

        const postContainer = screen.getByTestId('sample-post');
        expect(postContainer).toBeInTheDocument();

        const textElement = screen.getByText('Sample Text');
        expect(textElement).toBeInTheDocument();

        const bodyElement = screen.getByText('Sample Body');
        expect(bodyElement).toBeInTheDocument();

        const imageElement = screen.getByAltText('Sample Alt Text');
        expect(imageElement).toBeInTheDocument();
    });
});
