import React from 'react';
import { render, screen } from '@testing-library/react';
import NsSmallFullCard from '../NsSmallFullCard';

describe('NsSmallFullCard component', () => {
    const props = {
        title: 'Sample Title',
        subtitle: 'Sample Subtitle',
        backgroundImageUrl: 'https://example.com/image.jpg',
        backgroundImageAlt: 'Sample Alt Text',
        cardLink: {
            href: 'https://www.example.com',
            title: 'Button Text',
        },
    };

    it('1. renders with correct content and styles', () => {
        render(<NsSmallFullCard {...props} />);

        const cardContainer = screen.getByTestId('small-full-card');
        expect(cardContainer).toBeInTheDocument();

        const titleElement = screen.getByText('Sample Title');
        expect(titleElement).toBeInTheDocument();

        const subtitleElement = screen.getByText('Sample Subtitle');
        expect(subtitleElement).toBeInTheDocument();

        const imageElement = screen.getByAltText('Sample Alt Text');
        expect(imageElement).toBeInTheDocument();

        const linkElement = screen.getByText('Button Text');
        expect(linkElement).toBeInTheDocument();
        expect(linkElement).toHaveAttribute('href', 'https://www.example.com');
    });
});
