import React from 'react';
import { render, screen } from '@testing-library/react';
import NsXLargeCard from '../NsXLargeCard';

describe('NsXLargeCard component', () => {
    const props = {
        title: 'Sample Title',
        subtitle: 'Sample Subtitle',
        backgroundImageUrl: 'https://example.com/image.jpg',
        backgroundImageAlt: 'Sample Alt Text',
        cardLink: {
            href: 'https://www.example.com',
            title: 'Sample Link Text',
        },
    };

    it('1. renders with correct content and styles', () => {
        render(<NsXLargeCard {...props} />);

        const xLargeCard = screen.getByTestId('x-large-card');
        expect(xLargeCard).toBeInTheDocument();

        const subtitleElement = screen.getByText('Sample Subtitle');
        expect(subtitleElement).toBeInTheDocument();

        const titleElement = screen.getByText('Sample Title');
        expect(titleElement).toBeInTheDocument();

        const imageElement = screen.getByAltText('Sample Alt Text');
        expect(imageElement).toBeInTheDocument();

        const linkElement = screen.getByText('Sample Link Text');
        expect(linkElement).toBeInTheDocument();
    });
});
