import type { StoryObj, Meta } from '@storybook/react';
import { within, userEvent } from '@storybook/testing-library';
import { expect } from '@storybook/jest';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsIconText } from '../';

type ComponentType = typeof NsIconText;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsIconText,
    title: 'Components/Containers/Card/NsIconText',
    argTypes: {},
    decorators: [withCenterDecorator],
} as MetaStory;

const text = 'Lorem ipsum';
const body = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Natoque lacus, in amet nunc. ';

export const Default: Story = {
    args: {
        text,
        body,
        additionalProps: {
            testid: 'icon-text-card',
        },
    },
    play: async ({ canvasElement }: any) => {
        const canvas = within(canvasElement);
        userEvent.hover(canvas.getByTestId('icon-text-card'));
        userEvent.hover(canvas.getByRole('link'));
        expect(canvas.getByText(text)).toBeInTheDocument();
        expect(canvas.getByText(body)).toBeInTheDocument();
    },
};
