import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsLargeCard } from '../';

type ComponentType = typeof NsLargeCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsLargeCard,
    title: 'Components/Containers/Card/NsLargeCard',
    argTypes: {},
    decorators: [withCenterDecorator],
} as MetaStory;

const host = 'https://media.nuskin.com';

export const Default: Story = {
    args: {
        isHorizontal: false,
        title: 'Title',
        subtitle: 'Subtitle',
        intro: 'Introduction sentence',
        icon: 'cart',
        cardLink: {
            href: 'https://www.forceforgood.org/',
            title: 'Button Text',
        },
        backgroundImageUrl: `${host}/m/36f2a073f3de08a2/Small-category-facial_cleansers.jpg`,
        backgroundImageAlt: 'Facial Moisturizers',
    },
};
