import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsMediumCard } from '../';

type ComponentType = typeof NsMediumCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsMediumCard,
    title: 'Components/Containers/Card/NsMediumCard',
    argTypes: {},
    decorators: [withCenterDecorator],
} as MetaStory;

const host = 'https://media.nuskin.com';

export const Default: Story = {
    args: {
        title: 'Introducing LumiSpa',
        subtitle: 'Lorem ipsum dolor',
        cardLink: {
            href: 'https://www.forceforgood.org/',
            title: 'Button Text',
        },
        backgroundImageUrl: `${host}/m/3353b9c05cb83860/Small-category-facial_moisturizers.jpg`,
        backgroundImageAlt: 'Lumi Spa',
    },
};
