import type { StoryObj, Meta } from '@storybook/react';
import { within, userEvent } from '@storybook/testing-library';
import { expect } from '@storybook/jest';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsPost } from '../';

type ComponentType = typeof NsPost;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsPost,
    title: 'Components/Containers/Card/NsPost',
    argTypes: {},
    decorators: [withCenterDecorator],
} as MetaStory;

const text = 'Heading';
const body = 'Date';
const host = 'https://media.nuskin.com/';

export const Default: Story = {
    args: {
        text,
        body,
        backgroundImageUrl: `${host}m/780f8d84bcb9d5ed/Small-Essence_News.jpg`,
        backgroundImageAlt: 'small essence news',
        additionalProps: {
            testid: 'post-card',
        },
    },
    play: async ({ canvasElement }: any) => {
        const canvas = within(canvasElement);
        userEvent.hover(canvas.getByTestId('post-card'));
        userEvent.hover(canvas.getByRole('link'));
        expect(canvas.getByText(text)).toBeInTheDocument();
        expect(canvas.getByText(body)).toBeInTheDocument();
    },
};
