import { styled } from '@nuskin/foundation-theme';
import { NsIconSizeType } from './types.d';

export const iconSize: Record<NsIconSizeType, string> = {
    small: '16px',
    medium: '20px',
    large: '24px',
    xLarge: '30px',
};
type IconWrapperType = { size: NsIconSizeType };

export const IconWrapper = styled('div')<IconWrapperType>(({ size }) => {
    return {
        display: 'flex',
        placeContent: 'center',
        placeItems: 'center',
        svg: {
            width: iconSize[size],
            height: iconSize[size],
        },
    };
});
